org.apache.ignite.internal.util.collection

## Interface IntSet

All Superinterfaces:
  Collection<Integer>, Iterable<Integer>, Set<Integer>

All Known Implementing Classes:
  BitSetIntSet, ImmutableIntSet

    public interface IntSet
    extends Set<Integer>

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `add(int element)` Adds the specified element to this set.
`boolean` `contains(int element)` Returns `true` if this set contains the specified element.
`boolean` `remove(int element)` Removes the specified element from this set.
`int[]` `toIntArray()` Returns array with primitive types

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Method Detail

#### contains

    boolean contains(int element)

Returns `true` if this set contains the specified element.

#### add

    boolean add(int element)

Adds the specified element to this set.

#### remove

    boolean remove(int element)

Removes the specified element from this set.

#### toIntArray

    int[] toIntArray()

Returns array with primitive types

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022